vlib work

vcom -93 -pedanticerrors -lint +acc=v ../Cell.vhdl
vcom -93 -pedanticerrors -lint +acc=v ../CellArray.vhdl
vcom -93 -pedanticerrors -lint +acc=v ../EvoBlock.vhdl

vcom -93 EvoBlock_TB.vhdl
vsim -t 1ps -lib work EvoBlock_TB

configure wave -gridperiod 5000;
configure wave -griddelta 10
configure wave -signalnamewidth 1

view wave -undock

add wave -height 20 -color orange												clk
add wave -height 20 -color gold													reset

add wave -divider "Config"
add wave -height 20 -color yellow -unsigned									arrayNum
add wave -height 20 -color orange -unsigned									cellNum
add wave -height 20 -color brown													configDIn
add wave -height 20 -color brown													configWEn

add wave -divider "RAM"
add wave -height 20 -color powderBlue											ramDIn
add wave -height 20 -color blue	 												ramWEn
add wave -height 20 -color slateBlue											ramDOut
add wave -height 20 -color cornflowerBlue										UUT/targetRAM

run 1 us
